%define anolis_release 1

Name:           python-tensorboard-data-server
Version:        0.7.1
Release:        %{anolis_release}%{?dist}
Summary:        Fast data loading for TensorBoard
License:        Apache License 2.0 
URL:            https://github.com/tensorflow/tensorboard/tree/master/tensorboard/data/server
Source0:        https://files.pythonhosted.org/packages/da/61/6e9ff8258422d287eec718872fb71e05324356722ab658c8afda25f51539/tensorboard_data_server-%{version}-py3-none-any.whl

BuildRequires:  python3-devel
BuildRequires:  python3-pip
BuildArch:      noarch

%description
Fast data loading for TensorBoard

%package -n     python3-tensorboard-data-server
Summary:        %{summary}

%description -n python3-tensorboard-data-server
Fast data loading for TensorBoard

%prep

%build

%install
mkdir -p %{buildroot}/%{python3_sitelib}
pushd %{buildroot}/%{python3_sitelib}
unzip %{SOURCE0}
popd


%check

%files -n python3-tensorboard-data-server
%{python3_sitelib}/tensorboard_data_server/
%{python3_sitelib}/tensorboard_data_server-%{version}.dist-info/

%changelog
* Tue Jun 20 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 0.7.1-1
- init from upstream
